| OpenMS 2.5.0

FFEval

Evaluation tool for feature detection algorithms.

To plot the ROC curve you might use:

d = read.table("data.roc", skip=1, sep="\t")
plot(d[,3],d[,4], xlim=c(0,1),ylim=c(0,1), xlab="FDR",ylab="TPR",main="ROC with varying intensity")
lines(c(0,1),c(0,1))

The command line parameters of this tool are:

    FFEval -- Evaluation tool for feature detection algorithms.

    Full documentation: http://www.openms.de/documentation/UTILS_FFEval.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      FFEval <options>

    Options (mandatory options marked with '*'):

      -in <file>*            Feature input file, which contains the data to be tested against the truth file.

                             (valid formats: 'featureXML')

      -truth <file>*         Truth feature file that defines what features should be found. (valid formats: 'feat

                             ureXML')

      -rt_tol <double>       Allowed tolerance of RT relative to average feature RT span. (default: '0.3' min:

                             '0.0')

      -rt_tol_abs <double>   Allowed absolute tolerance of RT (overwrites 'rt_tol' if set above zero). (default:

                             '-1.0' min: '-1.0')

      -mz_tol <double>       Allowed tolerance in m/z (is divided by charge). (default: '0.25' min: '0.0')

      -out <file>            Feature output file. If given, an annotated input file is written. (valid formats:

                             'featureXML')

      -abort_reasons <file>  Feature file containing seeds with abort reasons. (valid formats: 'featureXML')

      -out_roc <file>        If given, a ROC curve file is created (ROC points based on intensity threshold) (val

                             id formats: 'csv')

    Common UTIL options:

      -ini <file>            Use the given TOPP INI file

      -threads <n>           Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>      Writes the default configuration file

      --help                 Shows options

      --helphelp             Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+FFEval Evaluation tool for feature detection algorithms.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'FFEval'
in Feature input file, which contains the data to be tested against the truth file.input file*.featureXML
truth Truth feature file that defines what features should be found.input file*.featureXML
rt_tol 0.3 Allowed tolerance of RT relative to average feature RT span.0.0:∞
rt_tol_abs-1.0 Allowed absolute tolerance of RT (overwrites 'rt_tol' if set above zero).-1.0:∞
mz_tol 0.25 Allowed tolerance in m/z (is divided by charge).0.0:∞
out Feature output file. If given, an annotated input file is written.output file*.featureXML
abort_reasons Feature file containing seeds with abort reasons.input file*.featureXML
out_roc If given, a ROC curve file is created (ROC points based on intensity threshold)output file*.csv
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false